Package org.eclipse.m2m.atl.emftvm.impl

## Class PushImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.InstructionImpl
        - - org.eclipse.m2m.atl.emftvm.impl.PushImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Instruction`, `Push`

    public class PushImpl
    extends InstructionImpl
    implements Push

An implementation of the model object 'Push'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected static java.lang.Byte` `BYTE_VALUE_EDEFAULT` The default value of the '`Byte Value`' attribute.
`protected java.lang.Byte` `byteValue` The cached value of the '`Byte Value`' attribute.
`protected static java.lang.Character` `CHAR_VALUE_EDEFAULT` The default value of the '`Char Value`' attribute.
`protected java.lang.Character` `charValue` The cached value of the '`Char Value`' attribute.
`protected static java.lang.Double` `DOUBLE_VALUE_EDEFAULT` The default value of the '`Double Value`' attribute.
`protected java.lang.Double` `doubleValue` The cached value of the '`Double Value`' attribute.
`protected static java.lang.String` `ENUM_VALUE_EDEFAULT` The default value of the '`Enum Value`' attribute.
`protected java.lang.String` `enumValue` The cached value of the '`Enum Value`' attribute.
`protected static java.lang.Float` `FLOAT_VALUE_EDEFAULT` The default value of the '`Float Value`' attribute.
`protected java.lang.Float` `floatValue` The cached value of the '`Float Value`' attribute.
`protected static java.lang.Integer` `INT_VALUE_EDEFAULT` The default value of the '`Int Value`' attribute.
`protected java.lang.Integer` `intValue` The cached value of the '`Int Value`' attribute.
`protected static java.lang.Long` `LONG_VALUE_EDEFAULT` The default value of the '`Long Value`' attribute.
`protected java.lang.Long` `longValue` The cached value of the '`Long Value`' attribute.
`protected static java.lang.Short` `SHORT_VALUE_EDEFAULT` The default value of the '`Short Value`' attribute.
`protected java.lang.Short` `shortValue` The cached value of the '`Short Value`' attribute.
`protected static java.lang.String` `STRING_VALUE_EDEFAULT` The default value of the '`String Value`' attribute.
`protected java.lang.String` `stringValue` The cached value of the '`String Value`' attribute.
`protected java.lang.Object` `value` The cached value of the '`Value`' attribute.
`protected static java.lang.Object` `VALUE_EDEFAULT` The default value of the '`Value`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`lineNumber, opcode, OPCODE_EDEFAULT, STACK_CONSUMPTION_EDEFAULT, STACK_LEVEL_EDEFAULT, STACK_PRODUCTION_EDEFAULT, stackConsumption, stackLevel, stackLevelSet, stackProduction`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `PushImpl()` Creates a new `PushImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`java.lang.Byte` `getByteValue()` Returns the value of the 'Byte Value' attribute.
`java.lang.Character` `getCharValue()` Returns the value of the 'Char Value' attribute.
`java.lang.Double` `getDoubleValue()` Returns the value of the 'Double Value' attribute.
`java.lang.String` `getEnumValue()` Returns the value of the 'Enum Value' attribute.
`java.lang.Float` `getFloatValue()` Returns the value of the 'Float Value' attribute.
`java.lang.Integer` `getIntValue()` Returns the value of the 'Int Value' attribute.
`java.lang.Long` `getLongValue()` Returns the value of the 'Long Value' attribute.
`java.lang.Short` `getShortValue()` Returns the value of the 'Short Value' attribute.
`java.lang.String` `getStringValue()` Returns the value of the 'String Value' attribute.
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute.
`void` `setByteValue​(java.lang.Byte newByteValue)` Sets the value of the '`Byte Value`' attribute.
`void` `setCharValue​(java.lang.Character newCharValue)` Sets the value of the '`Char Value`' attribute.
`void` `setDoubleValue​(java.lang.Double newDoubleValue)` Sets the value of the '`Double Value`' attribute.
`void` `setEnumValue​(java.lang.String newEnumValue)` Sets the value of the '`Enum Value`' attribute.
`void` `setFloatValue​(java.lang.Float newFloatValue)` Sets the value of the '`Float Value`' attribute.
`void` `setIntValue​(java.lang.Integer newIntValue)` Sets the value of the '`Int Value`' attribute.
`void` `setLongValue​(java.lang.Long newLongValue)` Sets the value of the '`Long Value`' attribute.
`void` `setShortValue​(java.lang.Short newShortValue)` Sets the value of the '`Short Value`' attribute.
`void` `setStringValue​(java.lang.String newStringValue)` Sets the value of the '`String Value`' attribute.
`void` `setValue​(java.lang.Object newValue)` Sets the value of the '`Value`' attribute.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.InstructionImpl

`basicGetLineNumber, basicSetLineNumber, basicSetOwningBlock, eBasicRemoveFromContainerFeature, eInverseAdd, eInverseRemove, eNotify, getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### VALUE_EDEFAULT

    protected static final java.lang.Object VALUE_EDEFAULT

The default value of the '`Value`' attribute.

See Also:
  `getValue()`

#### value

    protected java.lang.Object value

The cached value of the '`Value`' attribute.

See Also:
  `getValue()`

#### STRING_VALUE_EDEFAULT

    protected static final java.lang.String STRING_VALUE_EDEFAULT

The default value of the '`String Value`' attribute.

See Also:
  `getStringValue()`

#### stringValue

    protected java.lang.String stringValue

The cached value of the '`String Value`' attribute.

See Also:
  `getStringValue()`

#### INT_VALUE_EDEFAULT

    protected static final java.lang.Integer INT_VALUE_EDEFAULT

The default value of the '`Int Value`' attribute.

See Also:
  `getIntValue()`

#### intValue

    protected java.lang.Integer intValue

The cached value of the '`Int Value`' attribute.

See Also:
  `getIntValue()`

#### DOUBLE_VALUE_EDEFAULT

    protected static final java.lang.Double DOUBLE_VALUE_EDEFAULT

The default value of the '`Double Value`' attribute.

See Also:
  `getDoubleValue()`

#### doubleValue

    protected java.lang.Double doubleValue

The cached value of the '`Double Value`' attribute.

See Also:
  `getDoubleValue()`

#### BYTE_VALUE_EDEFAULT

    protected static final java.lang.Byte BYTE_VALUE_EDEFAULT

The default value of the '`Byte Value`' attribute.

See Also:
  `getByteValue()`

#### byteValue

    protected java.lang.Byte byteValue

The cached value of the '`Byte Value`' attribute.

See Also:
  `getByteValue()`

#### CHAR_VALUE_EDEFAULT

    protected static final java.lang.Character CHAR_VALUE_EDEFAULT

The default value of the '`Char Value`' attribute.

See Also:
  `getCharValue()`

#### charValue

    protected java.lang.Character charValue

The cached value of the '`Char Value`' attribute.

See Also:
  `getCharValue()`

#### FLOAT_VALUE_EDEFAULT

    protected static final java.lang.Float FLOAT_VALUE_EDEFAULT

The default value of the '`Float Value`' attribute.

See Also:
  `getFloatValue()`

#### floatValue

    protected java.lang.Float floatValue

The cached value of the '`Float Value`' attribute.

See Also:
  `getFloatValue()`

#### SHORT_VALUE_EDEFAULT

    protected static final java.lang.Short SHORT_VALUE_EDEFAULT

The default value of the '`Short Value`' attribute.

See Also:
  `getShortValue()`

#### shortValue

    protected java.lang.Short shortValue

The cached value of the '`Short Value`' attribute.

See Also:
  `getShortValue()`

#### LONG_VALUE_EDEFAULT

    protected static final java.lang.Long LONG_VALUE_EDEFAULT

The default value of the '`Long Value`' attribute.

See Also:
  `getLongValue()`

#### longValue

    protected java.lang.Long longValue

The cached value of the '`Long Value`' attribute.

See Also:
  `getLongValue()`

#### ENUM_VALUE_EDEFAULT

    protected static final java.lang.String ENUM_VALUE_EDEFAULT

The default value of the '`Enum Value`' attribute.

See Also:
  `getEnumValue()`

#### enumValue

    protected java.lang.String enumValue

The cached value of the '`Enum Value`' attribute.

See Also:
  `getEnumValue()`

### Constructor Detail

#### PushImpl

    protected PushImpl()

Creates a new `PushImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `InstructionImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getValue

    public java.lang.Object getValue()

Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getValue` in interface `Push`
Returns:
  the value of the 'Value' attribute.
See Also:
  `Push.setValue(Object)`, `EmftvmPackage.getPush_Value()`

#### setValue

    public void setValue​(java.lang.Object newValue)

Sets the value of the '`Value`' attribute.

Specified by:
  `setValue` in interface `Push`
Parameters:
  `newValue` - the new value of the 'Value' attribute.
See Also:
  `Push.getValue()`

#### getStringValue

    public java.lang.String getStringValue()

Returns the value of the 'String Value' attribute. The default value is `""`.

If the meaning of the 'String Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getStringValue` in interface `Push`
Returns:
  the value of the 'String Value' attribute.
See Also:
  `Push.setStringValue(String)`, `EmftvmPackage.getPush_StringValue()`

#### setStringValue

    public void setStringValue​(java.lang.String newStringValue)

Sets the value of the '`String Value`' attribute.

Specified by:
  `setStringValue` in interface `Push`
Parameters:
  `newStringValue` - the new value of the 'String Value' attribute.
See Also:
  `Push.getStringValue()`

#### getIntValue

    public java.lang.Integer getIntValue()

Returns the value of the 'Int Value' attribute. The default value is `""`.

If the meaning of the 'Int Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getIntValue` in interface `Push`
Returns:
  the value of the 'Int Value' attribute.
See Also:
  `Push.setIntValue(Integer)`, `EmftvmPackage.getPush_IntValue()`

#### setIntValue

    public void setIntValue​(java.lang.Integer newIntValue)

Sets the value of the '`Int Value`' attribute.

Specified by:
  `setIntValue` in interface `Push`
Parameters:
  `newIntValue` - the new value of the 'Int Value' attribute.
See Also:
  `Push.getIntValue()`

#### getDoubleValue

    public java.lang.Double getDoubleValue()

Returns the value of the 'Double Value' attribute.

If the meaning of the 'Double Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getDoubleValue` in interface `Push`
Returns:
  the value of the 'Double Value' attribute.
See Also:
  `Push.setDoubleValue(Double)`, `EmftvmPackage.getPush_DoubleValue()`

#### setDoubleValue

    public void setDoubleValue​(java.lang.Double newDoubleValue)

Sets the value of the '`Double Value`' attribute.

Specified by:
  `setDoubleValue` in interface `Push`
Parameters:
  `newDoubleValue` - the new value of the 'Double Value' attribute.
See Also:
  `Push.getDoubleValue()`

#### getByteValue

    public java.lang.Byte getByteValue()

Returns the value of the 'Byte Value' attribute.

If the meaning of the 'Byte Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getByteValue` in interface `Push`
Returns:
  the value of the 'Byte Value' attribute.
See Also:
  `Push.setByteValue(Byte)`, `EmftvmPackage.getPush_ByteValue()`

#### setByteValue

    public void setByteValue​(java.lang.Byte newByteValue)

Sets the value of the '`Byte Value`' attribute.

Specified by:
  `setByteValue` in interface `Push`
Parameters:
  `newByteValue` - the new value of the 'Byte Value' attribute.
See Also:
  `Push.getByteValue()`

#### getCharValue

    public java.lang.Character getCharValue()

Returns the value of the 'Char Value' attribute.

If the meaning of the 'Char Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getCharValue` in interface `Push`
Returns:
  the value of the 'Char Value' attribute.
See Also:
  `Push.setCharValue(Character)`, `EmftvmPackage.getPush_CharValue()`

#### setCharValue

    public void setCharValue​(java.lang.Character newCharValue)

Sets the value of the '`Char Value`' attribute.

Specified by:
  `setCharValue` in interface `Push`
Parameters:
  `newCharValue` - the new value of the 'Char Value' attribute.
See Also:
  `Push.getCharValue()`

#### getFloatValue

    public java.lang.Float getFloatValue()

Returns the value of the 'Float Value' attribute.

If the meaning of the 'Float Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getFloatValue` in interface `Push`
Returns:
  the value of the 'Float Value' attribute.
See Also:
  `Push.setFloatValue(Float)`, `EmftvmPackage.getPush_FloatValue()`

#### setFloatValue

    public void setFloatValue​(java.lang.Float newFloatValue)

Sets the value of the '`Float Value`' attribute.

Specified by:
  `setFloatValue` in interface `Push`
Parameters:
  `newFloatValue` - the new value of the 'Float Value' attribute.
See Also:
  `Push.getFloatValue()`

#### getShortValue

    public java.lang.Short getShortValue()

Returns the value of the 'Short Value' attribute.

If the meaning of the 'Short Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getShortValue` in interface `Push`
Returns:
  the value of the 'Short Value' attribute.
See Also:
  `Push.setShortValue(Short)`, `EmftvmPackage.getPush_ShortValue()`

#### setShortValue

    public void setShortValue​(java.lang.Short newShortValue)

Sets the value of the '`Short Value`' attribute.

Specified by:
  `setShortValue` in interface `Push`
Parameters:
  `newShortValue` - the new value of the 'Short Value' attribute.
See Also:
  `Push.getShortValue()`

#### getLongValue

    public java.lang.Long getLongValue()

Returns the value of the 'Long Value' attribute.

If the meaning of the 'Long Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getLongValue` in interface `Push`
Returns:
  the value of the 'Long Value' attribute.
See Also:
  `Push.setLongValue(Long)`, `EmftvmPackage.getPush_LongValue()`

#### setLongValue

    public void setLongValue​(java.lang.Long newLongValue)

Sets the value of the '`Long Value`' attribute.

Specified by:
  `setLongValue` in interface `Push`
Parameters:
  `newLongValue` - the new value of the 'Long Value' attribute.
See Also:
  `Push.getLongValue()`

#### getEnumValue

    public java.lang.String getEnumValue()

Returns the value of the 'Enum Value' attribute.

If the meaning of the 'Enum Value' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getEnumValue` in interface `Push`
Returns:
  the value of the 'Enum Value' attribute.
See Also:
  `Push.setEnumValue(String)`, `EmftvmPackage.getPush_EnumValue()`

#### setEnumValue

    public void setEnumValue​(java.lang.String newEnumValue)

Sets the value of the '`Enum Value`' attribute.

Specified by:
  `setEnumValue` in interface `Push`
Parameters:
  `newEnumValue` - the new value of the 'Enum Value' attribute.
See Also:
  `Push.getEnumValue()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `InstructionImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `InstructionImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `InstructionImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `InstructionImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `InstructionImpl`